summaryrefslogtreecommitdiff
path: root/scripts/asset-rebuild
diff options
context:
space:
mode:
authorDaniel Friesel <derf@finalrewind.org>2020-11-22 19:52:13 +0100
committerDaniel Friesel <derf@finalrewind.org>2020-11-22 19:52:13 +0100
commit0f6870df13362a6af5d95a0fddd970559acb42bd (patch)
treea6e7136a6a4aef13aafa5f45f3126bba7b9f6095 /scripts/asset-rebuild
parentf8f4b9f1be84b54bedf8cf36a1c6a4ede89b362c (diff)
Fix train detail view for split stations3.4.9
Was broken when the train's station did not match the requested one
Diffstat (limited to 'scripts/asset-rebuild')
-rwxr-xr-xscripts/asset-rebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/asset-rebuild b/scripts/asset-rebuild
new file mode 100755
index 0000000..8e145fc
--- /dev/null
+++ b/scripts/asset-rebuild
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -ex
+
+uglifyjs public/static/js/autocomplete.js public/static/js/collapse.js -c -m > public/static/js/dbf.min.js
+uglifyjs public/static/js/geolocation.js -c -m > public/static/js/geolocation.min.js
+uglifyjs public/static/js/map-refresh.js -c -m > public/static/js/map-refresh.min.js
+uglifyjs public/static/js/marquee.js -c -m > public/static/js/marquee.min.js